1

I'm trying to build GDAL on Ubuntu 16.04 with ESRI FileGDB_API driver support. I've followed the instructions here: https://trac.osgeo.org/gdal/wiki/FileGDB and have attempted to pass the location of proj included with the ESRI FileGDB_API. Here is my configure command:

./configure --with-static-proj=/usr/local/FileGDB_API/lib/libFileGDBAPI.so --with-fgdb=/usr/local/FileGDB_API

And the error:

configure: error: --without-static-proj and --with-fgdb are both available. There might be some incompatibility between system libproj and the embedded copy within libFileGDBAPI

I get the same error if I remove --with-static-proj and if I use --without-static-proj.

I'm attempting to compile gdal 2.3.1 and I'm using the FileGDB_API version 1.5 for gcc 5.1.

0

I was able to get past this error by installing libproj-dev (ubuntu) and running

./configure --with-static-proj4 --with-fgdb=/usr/local/path
  • Welcome to GIS Stackexchange! As a new user, please be sure to take the Tour. – smiller Oct 2 '18 at 3:19

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.